Skip to main content
Insert document blocks
Operation ID: http.documents.insert

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

1–200 printable ASCII characters, no surrounding spaces; '.' and '..' are reserved. Reuse this key with the same request when retrying an uncertain outcome.

Required string length: 1 - 200
Pattern: ^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$

Path Parameters

org
string
required
project
string
required

Body

application/json
path
string
required
expected_version_id
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-8][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
markdown
string
required
Minimum string length: 1
after_block_id
string | null
required
Required string length: 1 - 255

Response

2XX - application/json

Success.

request_id
string
required
outcome
string
required
Allowed value: "applied"
replayed
boolean
required
data
object
required
{key}
any